Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xquery
Class XQParser

    java.lang.Object
      org.basex.query.QueryParser
          org.basex.query.xquery.XQParser

    public final class XQParser

extends QueryParser

XQuery parser.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Christian Gruen

Field Summary
`TokenList` | `modLoaded` List of loaded modules.

Fields inherited from class org.basex.query.QueryParser
`file, ql, qm, qp, qu`

Constructor Summary
`XQParser(XQContext c)` Constructor.

Method Summary
`void` | `module(java.lang.String q)` Parses the specified module.
`void` | `parse(java.lang.String q)` Parses the specified query.
`void` | `parse(java.lang.String q, IO f, Uri u)` Parses the specified query.
`void` | `parse(Uri u, boolean end)` Parses the specified query.

Methods inherited from class org.basex.query.QueryParser
`consume, consume, consume, consumeWS, curr, curr, ent, found, init, invalidEnt, mark, more, next, quote, rest, valid`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modLoaded

    public TokenList modLoaded

  List of loaded modules.

Constructor Detail

### XQParser

    public XQParser(XQContext c)

  Constructor.

  Parameters:
    `c` - query context

Method Detail

### parse

    public void parse(java.lang.String q)
               throws XQException

  Parses the specified query.

  Parameters:
    `q` - input query
  Throws:
    `XQException` - xquery exception

### module

    public void module(java.lang.String q)
                throws XQException

  Parses the specified module.

  Parameters:
    `q` - input query
  Throws:
    `XQException` - xquery exception

### parse

    public void parse(java.lang.String q,
                      IO f,
                      Uri u)
               throws XQException

  Parses the specified query.

  Parameters:
    `q` - input query
    `f` - optional input file
    `u` - module uri
  Throws:
    `XQException` - xquery exception

### parse

    public void parse(Uri u,
                      boolean end)
               throws XQException

  Parses the specified query. [ 1] Parses a Module.

  Parameters:
    `u` - module uri
    `end` - if true, input must be completely evaluated
  Throws:
    `XQException` - xquery exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD